shishi_as_check_crealm(3)

NAME
shishi_as_check_crealm - API function

SYNOPSIS
#include <shishi.h>

int shishi_as_check_crealm(Shishi * handle, Shishi_asn1 asreq, Shishi_asn1 asrep);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

Shishi_asn1 asreq
    AS-REQ to compare realm field in.

Shishi_asn1 asrep
    AS-REP to compare realm field in.

DESCRIPTION
Verify that AS-REQ.req-body.realm and AS-REP.crealm fields matches. This is one of the steps that has to be performed when processing a AS-REQ and AS-REP exchange, see shishi_kdc_process().

RETURN VALUE
Returns SHISHI_OK if successful, SHISHI_REALM_MISMATCH if the values differ, or an error code.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.